
(*s Les types des positions et des coups sont abstraits et on fournit
juste ce qui est ncessaire  l'algorithme de backtracking et 
l'affichage du rsultat. *)

type position

val depart : position
val arrivee : position

val affiche : position -> unit

val test_arret : position -> bool

module HashPos : sig
  val add : position -> unit
  val mem : position -> bool
end

type coup

val tous_les_coups : coup list

val est_possible : position -> coup -> bool
val joue : position -> coup -> position

val affiche_solution : coup list -> unit
